%define ocamlname stdio

Name:           ocaml-%{ocamlname}
Version:        0.10.0
Release:        1%{?dist}.emp1
Summary:        Standard IO library for OCaml
License:        Apache-2.0
URL:            https://github.com/janestreet/%{ocamlname}
Source0:        %{ocamlname}-v%{version}.tar.gz

Requires:       ocaml >= 4.04.1
Requires:       ocaml-base >= 0.10
Requires:       ocaml-base < 0.11
Requires:       ocaml-sexplib >= 0.10
Requires:       ocaml-sexplib < 0.11

BuildRequires:  opam-installer >= 2.0
BuildRequires:  jbuilder
BuildRequires:  ocaml >= 4.04.1
BuildRequires:  ocaml-base-devel >= 0.10
BuildRequires:  ocaml-base-devel < 0.11
BuildRequires:  ocaml-sexplib-devel >= 0.10
BuildRequires:  ocaml-sexplib-devel < 0.11

%description
Stdio provides input/output functions for OCaml. It re-exports the
buffered channels of the stdlib distributed with OCaml but with some
improvements.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-base-devel >= 0.10
Requires:       ocaml-base-devel < 0.11
Requires:       ocaml-sexplib-devel >= 0.10
Requires:       ocaml-sexplib-devel < 0.11

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-v%{version}

%build
jbuilder build  -p %{ocamlname} %{?_smp_mflags}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE.txt
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.org
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/%{ocamlname}/*.mli
